Bug 194535 - sysutils/sec: "WARNING: $command_interpreter /usr/bin/perl != /usr/local/bin/perl"
Summary: sysutils/sec: "WARNING: $command_interpreter /usr/bin/perl != /usr/local/bin/...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-22 17:33 UTC by John Polstra
Modified: 2014-11-13 20:47 UTC (History)
3 users (show)

See Also:


Attachments
Set "command_interpreter" correctly in rc.d/sec (618 bytes, patch)
2014-10-22 17:33 UTC, John Polstra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Polstra 2014-10-22 17:33:21 UTC
Created attachment 148563 [details]
Set "command_interpreter" correctly in rc.d/sec

On startup and shutdown, the sysutils/sec port logs the following warning:

/usr/local/etc/rc.d/sec: WARNING: $command_interpreter /usr/bin/perl != /usr/local/bin/perl

This is because the "command_interpreter" setting in the rc.d/sec file is not the same as the shebang line at the top of the bin/sec script.  The attached patch fixes the problem.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-22 17:33:21 UTC
Maintainers CC'd
Comment 2 John Marino freebsd_committer 2014-11-10 14:25:15 UTC
The maintainer timed out on his feedback, so I'm promoting the PR (maintainer approval no longer required)
Comment 3 Nicolas Jombart 2014-11-10 14:31:45 UTC
Hmm sorry, well it's actually ok anyway !
Comment 4 commit-hook freebsd_committer 2014-11-13 20:46:50 UTC
A commit references this bug:

Author: marino
Date: Thu Nov 13 20:46:17 UTC 2014
New revision: 372536
URL: https://svnweb.freebsd.org/changeset/ports/372536

Log:
  sysutils/sec: Fix $command_interpreter warning

  PR:		194535
  Submitted by:	John Polstra
  Approved by:	maintainer

Changes:
  head/sysutils/sec/Makefile
  head/sysutils/sec/files/sec.in
Comment 5 John Marino freebsd_committer 2014-11-13 20:47:47 UTC
Thanks!